WordPress update problem - Can't complete update

Hello,

I am running WP Network with many themes and plug-ins and I'd like to update Wordpress to 3.1.3 but I have encountered very specific problem - I am using WordPress in Georgian (ka.wordpress.org) and it works fine, but new version of Georgian Wordpress is damaged and I can't update it.

What can I do? One way is if I download new WordPress from official site and than add Georgian language files in suitable directory, but if I do this, this means that I have to re-create everything yes?

Can you help me solve this problem? For example to force auto-update system to offer me english-version wordpress link and not Georgian.